# Get a Queue

> Get details of a specific queue

## Endpoint

`GET https://qstash-{region}.upstash.io/v2/queues/{queueName}`

## Parameters

- `queueName` (path, string, required): The name of the queue to retrieve.

## Responses

### 200

- `name` (string): The name of the queue.
- `createdAt` (integer): The creation timestamp of the queue in Unix milliseconds
- `updatedAt` (integer): The last update timestamp of the queue in Unix milliseconds
- `parallelism` (integer): The number of parallel consumers consuming from the queue
- `paused` (boolean): Whether the queue is paused
- `lag` (integer): The number of unprocessed messages that exist in the queue

### 400 - Queue name is invalid. Queue names can only contain alphanumeric characters, hyphens, periods, and underscores.

- `error` (string, required): Error message

### 404 - Queue not found

- `error` (string, required): Error message

## cURL

```bash
curl --request GET \
  --url https://qstash-{region}.upstash.io/v2/queues/{queueName} \
  --header 'Authorization: Bearer <token>'
```
